Package org.jbpm.kie.services.impl.security

## Class DeploymentRolesManager

- java.lang.Object
- - org.jbpm.kie.services.impl.security.DeploymentRolesManager

- Direct Known Subclasses:
    `DeploymentRolesManagerCDIImpl`, `DeploymentRolesManagerEJBImpl`

      public class DeploymentRolesManager
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Map<String,​List<String>>` | `deploymentsRoles` |
    `protected Map<String,​List<String>>` | `userDeploymentIdsCache` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeploymentRolesManager()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addRolesForDeployment​(String deploymentId, List<String> roles)` |
    `List<String>` | `getDeploymentsForUser​(org.kie.internal.identity.IdentityProvider identityProvider)` |
    `void` | `removeRolesForDeployment​(String deploymentId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### deploymentsRoles

          protected Map<String,​List<String>> deploymentsRoles

    - #### userDeploymentIdsCache

          protected Map<String,​List<String>> userDeploymentIdsCache

  - ### Constructor Detail

    - #### DeploymentRolesManager

          public DeploymentRolesManager()

  - ### Method Detail

    - #### addRolesForDeployment

          public void addRolesForDeployment​(String deploymentId,
                                            List<String> roles)

    - #### removeRolesForDeployment

          public void removeRolesForDeployment​(String deploymentId)

    - #### getDeploymentsForUser

          public List<String> getDeploymentsForUser​(org.kie.internal.identity.IdentityProvider identityProvider)